<bugID>722329<Summary>Redirect doesn't allow to open popup window (Redirect via JavaScript doesn't allow to set site permissions)</Summary><Description>Hello,

I encounter a problem in Firefox&#160;3.0.1 and in Firefox&#160;9.0.1. On Windows.

My pref &#8220;Warn me when web sites try to redirect or reload the page&#8221; is ticked. Firefox' help says&#160;: &#8220;When this preference is enabled, Firefox will prevent websites from redirecting you to another page, or automatically reloading.&#8221; Unfortunately, it does not work in all cases.

I want my bus timetable. I have a Firefox window. I go to http://www.ratp.fr/informer/pdf/horaires/pivot_horaire.php?reseau=busratp&amp;service=THL&amp;ligne=290&#160;.

Expected behaviour&#160;:

The popup yellow bar appears. I click on the &#8220;Options&#8221; &#8220;buttenu&#8221; &#8212; see request bug&#160;688130. I choose the blocked address. I get my bus timetable.

Actual behaviour&#160;:

The popup yellow bar appears, and disappears very quickly. I don't have the time to understand what has appeared, let alone to click on &#8220;Options&#8221;. I land on a page where I don't have any access to my bus timetable. I have been redirected, although I did not allow it. I try again, several times, but with a variant&#160;: after I request the address, I press Esc Esc Esc Esc Esc Esc Esc Esc Esc Esc Esc Esc very quickly. At last, I get the popup yellow bar to stay, I click on &#8220;Options&#8221;, I choose the blocked address, and I get my bus timetable. This is not very accessible &#8212; to say the least.

From the W3C, I read the techniques for the guideline &#8220;3.5&#160;Toggle automatic content retrieval (P1)&#8221;&#160;: www.w3.org/TR/UAAG10-TECHS/guidelines.html#tech-configure-content-retrieval&#160;:

&#8220;Allow configuration so that the user agent only retrieves content on explicit user request.&#8221;

See the W3C's User Agent Accessibility Guidelines&#160;1.0&#160;: http://www.w3.org/TR/UAAG10/guidelines.html#tech-time-independent&#160;: &#8220;2.4&#160;Allow time-independent interaction (P1)&#8221;.

Thanks for correcting that.

Nicolas</Description></bugID>